Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.impl
Class SourcePatientInfoTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.hl7v2.impl.SourcePatientInfoTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, SourcePatientInfoType

    public class SourcePatientInfoTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements SourcePatientInfoType

An implementation of the model object 'Source Patient Info Type'. This data structure is being used to represent demographic identifying information for a person (or patient) and is based on the HL7 v2.5 PID segment.

The following features are implemented:

- `Patient Identifier`
- `Patient Name`
- `Patient Date Of Birth`
- `Patient Sex`
- `Patient Address`
- `Patient Phone Home`
- `Patient Phone Business`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPatientAddress(XAD newPatientAddress, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPatientPhoneBusiness(XTN newPatientPhoneBusiness, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPatientPhoneHome(XTN newPatientPhoneHome, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`XAD` | `getPatientAddress()`
`java.lang.String` | `getPatientDateOfBirth()`
`org.eclipse.emf.common.util.EList` | `getPatientIdentifier()`
`org.eclipse.emf.common.util.EList` | `getPatientName()`
`XTN` | `getPatientPhoneBusiness()`
`XTN` | `getPatientPhoneHome()`
`java.lang.String` | `getPatientSex()`
`void` | `setPatientAddress(XAD newPatientAddress)`
`void` | `setPatientDateOfBirth(java.lang.String newPatientDateOfBirth)`
`void` | `setPatientPhoneBusiness(XTN newPatientPhoneBusiness)`
`void` | `setPatientPhoneHome(XTN newPatientPhoneHome)`
`void` | `setPatientSex(java.lang.String newPatientSex)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getPatientIdentifier

    public org.eclipse.emf.common.util.EList getPatientIdentifier()

  Specified by:
    `getPatientIdentifier` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Identifier' containment reference list.
  See Also:
    `Hl7v2Package.getSourcePatientInfoType_PatientIdentifier()`

### getPatientName

    public org.eclipse.emf.common.util.EList getPatientName()

  Specified by:
    `getPatientName` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Name' containment reference list.
  See Also:
    `Hl7v2Package.getSourcePatientInfoType_PatientName()`

### getPatientDateOfBirth

    public java.lang.String getPatientDateOfBirth()

  Specified by:
    `getPatientDateOfBirth` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Date Of Birth' attribute.
  See Also:
    `SourcePatientInfoType.setPatientDateOfBirth(String)`, `Hl7v2Package.getSourcePatientInfoType_PatientDateOfBirth()`

### setPatientDateOfBirth

    public void setPatientDateOfBirth(java.lang.String newPatientDateOfBirth)

  Specified by:
    `setPatientDateOfBirth` in interface `SourcePatientInfoType`
  Parameters:
    `newPatientDateOfBirth` - the new value of the 'Patient Date Of Birth' attribute.
  See Also:
    `SourcePatientInfoType.getPatientDateOfBirth()`

### getPatientSex

    public java.lang.String getPatientSex()

  Specified by:
    `getPatientSex` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Sex' attribute.
  See Also:
    `SourcePatientInfoType.setPatientSex(String)`, `Hl7v2Package.getSourcePatientInfoType_PatientSex()`

### setPatientSex

    public void setPatientSex(java.lang.String newPatientSex)

  Specified by:
    `setPatientSex` in interface `SourcePatientInfoType`
  Parameters:
    `newPatientSex` - the new value of the 'Patient Sex' attribute.
  See Also:
    `SourcePatientInfoType.getPatientSex()`

### getPatientAddress

    public XAD getPatientAddress()

  Specified by:
    `getPatientAddress` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Address' containment reference.
  See Also:
    `SourcePatientInfoType.setPatientAddress(XAD)`, `Hl7v2Package.getSourcePatientInfoType_PatientAddress()`

### basicSetPatientAddress

    public org.eclipse.emf.common.notify.NotificationChain basicSetPatientAddress(XAD newPatientAddress,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setPatientAddress

    public void setPatientAddress(XAD newPatientAddress)

  Specified by:
    `setPatientAddress` in interface `SourcePatientInfoType`
  Parameters:
    `newPatientAddress` - the new value of the 'Patient Address' containment reference.
  See Also:
    `SourcePatientInfoType.getPatientAddress()`

### getPatientPhoneHome

    public XTN getPatientPhoneHome()

  Specified by:
    `getPatientPhoneHome` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Phone Home' containment reference.
  See Also:
    `SourcePatientInfoType.setPatientPhoneHome(XTN)`, `Hl7v2Package.getSourcePatientInfoType_PatientPhoneHome()`

### basicSetPatientPhoneHome

    public org.eclipse.emf.common.notify.NotificationChain basicSetPatientPhoneHome(XTN newPatientPhoneHome,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setPatientPhoneHome

    public void setPatientPhoneHome(XTN newPatientPhoneHome)

  Specified by:
    `setPatientPhoneHome` in interface `SourcePatientInfoType`
  Parameters:
    `newPatientPhoneHome` - the new value of the 'Patient Phone Home' containment reference.
  See Also:
    `SourcePatientInfoType.getPatientPhoneHome()`

### getPatientPhoneBusiness

    public XTN getPatientPhoneBusiness()

  Specified by:
    `getPatientPhoneBusiness` in interface `SourcePatientInfoType`
  Returns:
    the value of the 'Patient Phone Business' containment reference.
  See Also:
    `SourcePatientInfoType.setPatientPhoneBusiness(XTN)`, `Hl7v2Package.getSourcePatientInfoType_PatientPhoneBusiness()`

### basicSetPatientPhoneBusiness

    public org.eclipse.emf.common.notify.NotificationChain basicSetPatientPhoneBusiness(XTN newPatientPhoneBusiness,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setPatientPhoneBusiness

    public void setPatientPhoneBusiness(XTN newPatientPhoneBusiness)

  Specified by:
    `setPatientPhoneBusiness` in interface `SourcePatientInfoType`
  Parameters:
    `newPatientPhoneBusiness` - the new value of the 'Patient Phone Business' containment reference.
  See Also:
    `SourcePatientInfoType.getPatientPhoneBusiness()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD